Description

Supportanfrage

wir haben noch ein Problem mit ADTF 3.3.0

Wir haben am Beispiel des Playback Examples versucht ein adtfdat file zu recorden. Die Konfiguration seht ihr im Bild.

Allerdings bekommen wir mit den ADTF sample files als Source für den Player immer die Fehlermeldung:

Error while trying to process an item: Result code '-38 '(ERR_FAILED) - invalid stoul argument File:

C:\jenkins\ws\A3_bld\PLATFORM\WIN7_x64_vc140\source\src\streaming_services\recorder\recording_file.cpp<File:///\\%20C:j

enkinswsA3_bldPLATFORMWIN7_x64_vc140sourcesrcstreaming_servicesrecorderrecording_file.cpp> [Line: 107] [Func:

cRecordingFile::CreateStream] recorder.cpp(352)

 Folgende sample files haben wir versucht zu recorden:

$(ADTF_DIR)/src/examples/datfiles/example_file.adtfdat

<ADTF_dir>/2.14.0/bin/templates/example_test_file.dat

 Im Prinzip könntet ihr um den Fehler zu bekommen auch das Playback Beispiel entsprechend anpassen.

Kann es sein das ADTF 3.3.0 Probleme mit den in ADTF mitgelieferten sample files hat?

Danke und Viele Grüße,

Anja

Lösung

in ADTF 3.3.0 gibt es ein grundsätzliches Problem beim Recorder, was die Serialisierung betrifft.

Wir werden das in der 3.3.1 lösen (ACORE-9526)

History

#1 - 2018-05-18 16:07 - hidden

- Affected Products ADTF 3.3.0 added

#2 - 2018-05-22 08:58 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

Hi Martin,
ist das ACORE-9526 ?

#3 - 2018-05-22 09:22 - hidden

Ja genau!

#4 - 2018-05-22 10:04 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9526

Hi Anja,

in ADTF 3.3.0 gibt es ein grundsätzliches Problem beim Recorder, was die Serialisierung betrifft.

Wir werden das in der 3.3.1 lösen (ACORE-9526)

#5 - 2018-05-23 09:30 - hidden

Hallo Florian,

alles klar.

Danke und Grüße,

Anja

#6 - 2018-05-23 17:11 - hidden

- Project changed from 7 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#7 - 2018-05-23 17:12 - hidden

- Subject changed from ADTFS-48859 ADTF 3 Video Recording to ADTFS-48859 Cannot record video in ADTF 3.3.0

- Status changed from To Be Closed to Closed
